Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2017-7263

Published: 26 March 2017

The bm_readbody_bmp function in bitmap_io.c in Potrace 1.14 allows remote attackers to cause a denial of service (heap-based buffer over-read and application crash) or possibly have unspecified other impact via a crafted BMP image. NOTE: this vulnerability exists because of an incomplete fix for CVE-2016-8698.

Notes

AuthorNote
tyhicks
inkscape in xenial and earlier embeds libpotrace (LP: #1156664)
mdeslaur
potrace in inkscape works on bitmaps already loaded, not
arbitrary images. Marking as not-affected for inkscape.

Priority

Low

Cvss 3 Severity Score

7.8

Score breakdown

Status

Package Release Status
inkscape
Launchpad, Ubuntu, Debian
artful Not vulnerable
(uses system potrace)
bionic Not vulnerable
(uses system potrace)
cosmic Not vulnerable
(uses system potrace)
disco Not vulnerable
(uses system potrace)
eoan Not vulnerable
(uses system potrace)
focal Not vulnerable
(uses system potrace)
groovy Not vulnerable
(uses system potrace)
hirsute Not vulnerable
(uses system potrace)
impish Not vulnerable
(uses system potrace)
jammy Not vulnerable
(uses system potrace)
kinetic Not vulnerable
(uses system potrace)
lunar Not vulnerable
(uses system potrace)
mantic Not vulnerable
(uses system potrace)
precise Ignored
(end of life)
trusty Does not exist
(trusty was not-affected [no attack vector])
upstream Needs triage

xenial Not vulnerable
(no attack vector)
yakkety Ignored
(end of life)
zesty Not vulnerable
(uses system potrace)
potrace
Launchpad, Ubuntu, Debian
artful Ignored
(end of life)
bionic Needed

cosmic Not vulnerable
(1.15-1)
disco Not vulnerable
(1.15-1)
eoan Not vulnerable
(1.15-1)
focal Not vulnerable
(1.15-1)
groovy Not vulnerable
(1.15-1)
hirsute Not vulnerable
(1.15-1)
impish Not vulnerable
(1.15-1)
jammy Not vulnerable
(1.15-1)
kinetic Not vulnerable
(1.15-1)
lunar Not vulnerable
(1.15-1)
mantic Not vulnerable
(1.15-1)
precise Ignored
(end of life)
trusty Does not exist
(trusty was needed)
upstream
Released (1.15-1)
xenial Needed

yakkety Ignored
(end of life)
zesty Ignored
(end of life)

Severity score breakdown

Parameter Value
Base score 7.8
Attack vector Local
Attack complexity Low
Privileges required None
User interaction Required
Scope Unchanged
Confidentiality High
Integrity impact High
Availability impact High
Vector CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H